package model

import (
	"github.com/shopspring/decimal"
)

type Park struct {
	CreatedAndModified `xorm:"extends"`
	Deleted            `xorm:"extends"`
	Id                 string              `xorm:"varchar(120) pk not null" json:"id"`
	UserId             string              `xorm:"varchar(120) not null" json:"userId"`
	Name               string              `xorm:"varchar(70) not null" json:"name"`
	Abbr               *string             `xorm:"varchar(50)" json:"abbr"`
	Area               decimal.NullDecimal `xorm:"numeric(14,2)" json:"area"`
	TenementQuantity   decimal.NullDecimal `xorm:"numeric(8,0)" json:"tenement"`
	Capacity           decimal.NullDecimal `xorm:"numeric(16,2)" json:"capacity"`
	Category           int8                `xorm:"smallint not null" json:"category"`
	SubmeterType       int8                `xorm:"'meter_04kv_type' smallint not null" json:"meter04kvType"`
	Region             *string             `xorm:"varchar(10)" json:"region"`
	Address            *string             `xorm:"varchar(120)" json:"address"`
	Contact            *string             `xorm:"varchar(100)" json:"contact"`
	Phone              *string             `xorm:"varchar(50)" json:"phone"`
	Enabled            bool                `xorm:"bool not null" json:"enabled"`
}

func (Park) TableName() string {
	return "park"
}
